"use strict";
var fs_1 = require("fs");
var ts = require("typescript");
var delint_1 = require("./delint");
var TypeScriptUml = (function () {
    function TypeScriptUml() {
    }
    TypeScriptUml.parseUmlProgram = function (filenames, scriptTarget) {
        if (scriptTarget === void 0) { scriptTarget = ts.ScriptTarget.ES5; }
        var delinter = new delint_1.Delinter();
        for (var _i = 0, filenames_1 = filenames; _i < filenames_1.length; _i++) {
            var f = filenames_1[_i];
            var sourceFile = ts.createSourceFile(f, fs_1.readFileSync(f).toString(), scriptTarget, true);
            delinter.parse(sourceFile);
        }
        return delinter.umlProgram;
    };
    TypeScriptUml.generateClassDiagram = function (program, formatter) {
        return formatter.generateClassDiagram(program);
    };
    return TypeScriptUml;
}());
exports.TypeScriptUml = TypeScriptUml;
